Bug 245869 - devel/breakpad is broken and marked as deprecated because unfetchable but it is fetchable
Summary: devel/breakpad is broken and marked as deprecated because unfetchable but it ...
Status: Closed Feedback Timeout
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Luca Pizzamiglio
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-04-24 10:51 UTC by pr
Modified: 2020-05-24 13:10 UTC (History)
1 user (show)

See Also:
pizzamig: maintainer-feedback+


Attachments
Remove BROKEN, DEPRECATED and EXPIRATION_DATE from Makefile (518 bytes, patch)
2020-04-24 10:51 UTC, pr
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description pr 2020-04-24 10:51:25 UTC
Created attachment 213744 [details]
Remove BROKEN, DEPRECATED and EXPIRATION_DATE from Makefile

devel/breakpad is currently marked as deprecated and is planned to be removed shortly (20/05/05) but it is in fact fetchable.

I suggest we do not remove it while it works.

With the attached patch I get:
/usr/ports/devel/breakpad # make fetch
===>  License BSD3CLAUSE accepted by the user
===>   breakpad-g20170811_4 depends on file: /usr/local/sbin/pkg - found
===> Fetching all distfiles required by breakpad-g20170811_4 for building

It builds fine.
Comment 1 Antoine Brodin freebsd_committer 2020-05-05 09:31:54 UTC
It's still broken

google-breakpad-g20170811-38cbbfed71efcb28931b        5132 kB 1832 kBps    03s
=> Fetched file size mismatch (expected 5256786, actual 5255627)
Comment 2 Luca Pizzamiglio freebsd_committer 2020-05-05 09:37:28 UTC
My bad, I missed the notification.

This port has been added in an effort to have electron on FreeBSD.

electron is landed on the portstree without the need of this port.

It's very outdated, it refers to a piece of google software that no other port is using.

With that said, I'd prefer to delete it than to fix it.
Comment 3 pr 2020-05-05 09:49:56 UTC
(In reply to Luca Pizzamiglio from comment #2)
Hi Luca,
this is a development tool. Outdated but still functional.

If you can't upgrade to a recent version that's understandable but please do not delete it. Others still need it, in particular it is required to build Telegram desktop app (missing in FreeBSD) and it is actually fetchable:
/usr/ports/devel/breakpad # make distclean makesum
===>  Cleaning for breakpad-g20170811_4
===>  Deleting distfiles for breakpad-g20170811_4
===>  License BSD3CLAUSE accepted by the user
===>  License BSD3CLAUSE accepted by the user
===>   breakpad-g20170811_4 depends on file: /usr/local/sbin/pkg - found
=> google-breakpad-g20170811-38cbbfed71efcb28931b5e4a83e3c0d4661f1548_GH0.tar.gz doesn't seem to exist in /usr/ports/distfiles/.
=> Attempting to fetch https://codeload.github.com/google/breakpad/tar.gz/38cbbfed71efcb28931b5e4a83e3c0d4661f1548?dummy=/google-breakpad-g20170811-38cbbfed71efcb28931b5e4a83e3c0d4661f1548_GH0.tar.gz
fetch: https://codeload.github.com/google/breakpad/tar.gz/38cbbfed71efcb28931b5e4a83e3c0d4661f1548?dummy=/google-breakpad-g20170811-38cbbfed71efcb28931b5e4a83e3c0d4661f1548_GH0.tar.gz: size of remote file is not known
google-breakpad-g20170811-38cbbfed71efcb28931b        5132 kB 2085 kBps    02s
===> Fetching all distfiles required by breakpad-g20170811_4 for building

I recommend you make distclean makesum and unset BROKEN in Makefile. Thank you.
Comment 4 Luca Pizzamiglio freebsd_committer 2020-05-05 15:33:10 UTC
(In reply to pr from comment #3)
I know what this port is all about, I did it :)

The only reason I created this port was to provide the needed tools to a npm module that was failing. Now there is no reason anymore.

If you are a user of this port, I will just fix it and keep it.
If not, I'll delete it.
Comment 5 Rene Ladan freebsd_committer 2020-05-24 13:10:22 UTC
net-im/telegram-desktop does not need this port. So it being outdated, it is probably best to follow the maintainers suggestion and remove it.